﻿using System.ComponentModel.DataAnnotations;

namespace Alphanumeric_Validation_Razor_Core.Models
{
    public class PersonModel
    {
        [Display(Name = "Username")]
        [Required(ErrorMessage = "Username is required.")]
        [RegularExpression("^[a-zA-Z0-9]*$", ErrorMessage = "Only Alphabets and Numbers allowed.")]
        public string UserName { get; set; }
    }
}
